Subject: Re: bug#21670: surprising bug in grep -e with anchors

From: Jim Meyering <[email-masked]>
Date: Tue, 27 Oct 2015 17:37:46 -0700

On Sun, Oct 11, 2015 at 2:01 PM, greg boyd <[email-masked]> wrote:
> This bug appears in GNU grep version 2.20. It is not present in the older
> version I have installed on a home system (2.6.3.)
>
> test case (single line)
> abchelloabc
>
> grep does not find the line with grep -e '^hello'  nor with grep -e 'hello$'
> however, the line is output with
> grep -e '^hello' -e 'hello$'
>
> I downloaded, built and tested the bug on GNU grep 2.21 and it still
> appears.
>
> weird.
>
> (this was found by an introductory Linux student. )

I asked Greg for the student's name and then added two names to
THANKS.in with this:
From da9cf47e2769053576daf1e2998a39bc9885c27d Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Mon, 26 Oct 2015 21:00:11 -0700
Subject: [PATCH] maint: update THANKS.in

* THANKS.in: Add name+email of those who found and reported
the bug that made grep -E '^x|x$' match any "x".
---
 THANKS.in | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/THANKS.in b/THANKS.in
index 624478d..b86f772 100644
--- a/THANKS.in
+++ b/THANKS.in
@@ -25,12 +25,14 @@ Dave Reisner                        [email-masked]
 David Clissold                      [email-masked]
 David J MacKenzie                   [email-masked]
 David O'Brien                       [email-masked]
+'Drake' Daham Wang                  [email-masked]
 Egmont Koblinger                    [email-masked]
 Fernando Basso                      [email-masked]
 Florian La Roche                    [email-masked]
 François Pinard                     [email-masked]
 Gerald Stoller                      [email-masked]
 Grant McDorman                      [email-masked]
+Greg Boyd                           [email-masked]
 Greg Louis                          [email-masked]
 Guglielmo 'bond' Bondioni           [email-masked]
 H. Merijn Brand                     [email-masked]
-- 
2.6.0